(function ($) {

  'use strict';

  Drupal.behaviors.responsive_menu = {
    attach: function (context, settings) {

      $('body', context).once('responsive-menu', function() {

        if (typeof(Mmenu) !== "undefined") {

          // Get variables from Drupal settings to be used in configuring the menu.
          var position = Drupal.settings.responsive_menu.position;
          var theme = Drupal.settings.responsive_menu.theme;
          var drag = Drupal.settings.responsive_menu.drag;

          // Set up the off canvas menu.
          new Mmenu('#off-canvas', {
            extensions: [theme, 'fx-menu-slide', position, 'pagedim-black'],
            drag: drag,
            keyboardNavigation: {
              enable: true,
              enhance: true,
            },
          }, {
            clone: false,
            classNames: {
              selected: 'active'
            }
          });
        }

        // Apply the superfish library to the menu.
        if ($.fn.superfish) {
          // Get the superfish settings.
          var superfishDelay = Drupal.settings.responsive_menu.superfish.delay,
            superfishSpeed = Drupal.settings.responsive_menu.superfish.speed,
            superfishSpeedOut = Drupal.settings.responsive_menu.superfish.speedOut;
          // Attach superfish to the responsive menu.
          $('#horizontal-menu').superfish({
            delay: parseInt(superfishDelay, 10),
            speed: parseInt(superfishSpeed, 10),
            speedOut: parseInt(superfishSpeedOut, 10)
          }).addClass('sf-menu');
        }

      });
    }
  };

})(jQuery);
